post
https://api.factori.ai/v1/poi/by-attributes
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Factori API v3.0 - OpenAPI Specification
Complete OpenAPI/Swagger specification for Factori's public APIs.
OpenAPI Specification
openapi: 3.0.0
info:
title: Factori API
version: 3.0.0
description: |
Factori API provides access to comprehensive person and place data.
## Authentication
All endpoints require an API key passed in the `x-factori-apikey` header.
## Base URL
https://api.factori.ai
servers:
- url: https://api.factori.ai
description: Production server
security:
- ApiKeyAuth: []
components:
securitySchemes:
ApiKeyAuth:
type: apiKey
in: header
name: x-factori-apikey
description: API key for authentication
paths:
/api/v3/people/search:
post:
tags:
- Person API
summary: Search People
description: Search for people using various filters like name, email, phone, location, employment details, and more.
operationId: search-people-v3
security:
- ApiKeyAuth: []
requestBody:
required: true
content:
application/json:
schema:
type: object
required:
- filters
properties:
filters:
type: object
description: Filters to narrow your search and find exact people profiles.
properties:
people_id:
type: string
description: Factori Id assigned to the individual
first_name:
type: string
description: First Name of the Individual
last_name:
type: string
description: Last Name of the Individual
gender:
type: string
enum: [Female, Male]
description: Gender of the Individual
age:
type: string
description: Age of the Individual
dob_year:
type: string
description: Year of birth in YYYY format (e.g., "2025")
dob_month:
type: string
description: Month of birth in MM format (e.g., "01")
dob_day:
type: string
description: Day of birth in DD format (e.g., "18")
household_id:
type: string
description: Factori assigned Household Id
phone_number:
type: string
description: Phone Number without Country Code
phone_number_sha1:
type: string
description: Phone Number in sha1 format
phone_number_sha2:
type: string
description: Phone Number in sha256 format
phone_number_md5:
type: string
description: Phone Number in md5 format
personal_email_address:
type: string
description: Personal Email Address in raw format
personal_email_sha1:
type: string
description: Personal Email Address in sha1 format
personal_email_sha2:
type: string
description: Personal Email Address in sha256 format
personal_email_md5:
type: string
description: Personal Email Address in md5 format
work_email_address:
type: string
description: Work Email Address in raw format
work_email_sha1:
type: string
description: Work Email Address in sha1 format
work_email_sha2:
type: string
description: Work Email Address in sha256 format
work_email_md5:
type: string
description: Work Email Address in md5 format
maid:
type: string
description: Mobile Advertisement ID in raw format
maid_sha1:
type: string
description: Mobile Advertisement ID in sha1 format
maid_sha2:
type: string
description: Mobile Advertisement ID in sha256 format
maid_md5:
type: string
description: Mobile Advertisement ID in md5 format
linkedin_url:
type: string
description: LinkedIn URL
facebook_url:
type: string
description: Facebook URL
twitter_url:
type: string
description: Twitter URL
full_address:
type: string
description: Full Address of the Individual
pre_address:
type: string
enum: [N, NE, E, SE, SW, W, NW, S]
description: Directional prefix (e.g., "N", "SW")
street:
type: string
description: Street name
address_suffix:
type: string
description: Address suffix (e.g., ave, blvd)
post_address:
type: string
enum: [N, NE, E, SE, S, SW, W, NW]
description: Directional postfix (e.g., "E", "NW")
city:
type: string
description: City
state:
type: string
description: State
zip:
type: string
description: Postal code
latitude:
type: string
description: Position north/south on the map (e.g., 40.7128)
longitude:
type: string
description: Position east/west on the map (e.g., -74.0060)
radius:
type: string
description: Search distance in meters around given latitude/longitude
household_income:
type: string
enum:
- Under_$10000
- $10000_$14999
- $15000_$19999
- $20000_$24999
- $25000_$29999
- $30000_$34999
- $35000_$39999
- $40000_$44999
- $45000_$49999
- $50000_$54999
- $55000_$59999
- $60000_$64999
- $65000_$74999
- $75000_$99999
- $100000_$149999
- $150000_$174999
- $175000_$199999
- $200000_$249999
- $250000_Above
description: Household Income range
net_worth:
type: string
enum:
- Less than $1
- $1 - $4999
- $5000 - $9999
- $10000 - $24999
- $25000 - $49999
- $50000 - $99999
- $100000 - $249999
- $250000 - $499999
- Greater than $499999
description: Net worth range
credit_rating:
type: string
enum:
- Greater than 800
- Between 750-799
- Between 700-749
- Between 650-699
- Between 600-649
- Between 550-599
- Between 500-549
- Under 499
description: Credit Rating
employee_title:
type: string
description: Job title of the Employee
employee_department:
type: string
description: Department (e.g., finance, operations)
employee_level:
type: string
enum: [consultant, c-level, director-level, manager-level, staff, vp-level]
description: Employee Job Level
employee_job_function:
type: string
description: Job Function of the Employee
company_id:
type: string
description: Factori assigned Company Id
company_name:
type: string
description: Name of the Company
company_industry:
type: string
description: Company Primary Industry
company_city:
type: string
description: City where the company is located
company_state:
type: string
description: State where the company is located
company_linkedinurl:
type: string
description: LinkedIn URL of the company
company_sic_code:
type: string
description: Company SIC code
company_naics_code:
type: string
description: Company NAICS code
must_contain:
type: array
items:
type: string
description: Ensure each returned record contains these attributes
must_not_contain:
type: object
description: Exclude people from the response
properties:
people_id:
type: array
items:
type: string
description: Factori IDs to exclude
page_size:
type: integer
format: int32
default: 100
description: Number of records per page (max 250)
page_no:
type: string
default: "1"
description: Page number
responses:
'200':
description: Successful response
content:
application/json:
schema:
type: object
properties:
people_id:
type: string
description: Factori Id assigned to the individual
first_name:
type: string
description: First Name
last_name:
type: string
description: Last Name
employee_title:
type: string
description: Job title
employee_level:
type: string
description: Job Level
company_name:
type: string
description: Company Name
full_address:
type: string
description: Full Address
city:
type: string
description: City
state:
type: string
description: State
'400':
description: Bad Request
'401':
description: Unauthorized
/api/v3/people/unlock:
post:
tags:
- Person API
summary: Unlock People Data
description: Retrieve detailed information about a person using their people_id or other identifiers.
operationId: unlock-people-v3
security:
- ApiKeyAuth: []
requestBody:
required: true
content:
application/json:
schema:
type: object
properties:
filters:
type: object
description: Filters to identify the person to unlock
properties:
people_id:
type: string
description: Factori Id assigned to the individual
personal_email_address:
type: string
description: Personal Email Address in raw format
personal_email_sha1:
type: string
description: Personal Email Address in sha1 format
personal_email_sha2:
type: string
description: Personal Email Address in sha256 format
personal_email_md5:
type: string
description: Personal Email Address in md5 format
phone_number:
type: string
description: Phone Number without Country Code
phone_number_sha1:
type: string
description: Phone Number in sha1 format
phone_number_sha2:
type: string
description: Phone Number in sha256 format
phone_number_md5:
type: string
description: Phone Number in md5 format
work_email_address:
type: string
description: Work Email Address in raw format
work_email_sha1:
type: string
description: Work Email Address in sha1 format
work_email_sha2:
type: string
description: Work Email Address in sha256 format
work_email_md5:
type: string
description: Work Email Address in md5 format
maid:
type: string
description: Mobile Advertisement ID in raw format
maid_sha1:
type: string
description: Mobile Advertisement ID in sha1 format
maid_sha2:
type: string
description: Mobile Advertisement ID in sha256 format
maid_md5:
type: string
description: Mobile Advertisement ID in md5 format
linkedin_url:
type: string
description: LinkedIn URL
facebook_url:
type: string
description: Facebook URL
twitter_url:
type: string
description: Twitter URL
first_name:
type: string
description: First Name
last_name:
type: string
description: Last Name
company_name:
type: string
description: Company Name
city:
type: string
description: City
zip:
type: string
description: Postal code
street:
type: string
description: Street
latitude:
type: number
format: float
description: Latitude coordinate (e.g., 40.7128)
longitude:
type: object
description: Longitude coordinate (e.g., -74.0060)
radius:
type: integer
description: Search radius in meters
company_linkedinurl:
type: string
description: Company LinkedIn URL
gender:
type: string
enum: [Male, Female]
description: Gender
age:
type: integer
description: Age
full_address:
type: string
description: Full Address
employee_title:
type: string
description: Job Title
employee_level:
type: string
enum: [Consultant, C_LEVEL, DIRECTOR_LEVEL, VP_LEVEL, MANAGER_LEVEL, STAFF]
description: Employee Level
employee_job_function:
type: string
description: Job Function
output_fields:
type: array
items:
type: string
description: Data fields to include in response
page_size:
type: string
default: "100"
description: Records per page (max 250)
page_no:
type: integer
default: 1
description: Page number
responses:
'200':
description: Successful response with detailed person data
content:
application/json:
schema:
type: object
properties:
data:
type: object
description: Detailed person information
'400':
description: Bad Request
'401':
description: Unauthorized
'402':
description: Insufficient Credits
'409':
description: Unlock In Progress
/v1/poi/by-location:
post:
tags:
- POI API
summary: Search POI by Location
description: Search for Points of Interest using latitude, longitude, and radius.
operationId: poi-by-location
security:
- ApiKeyAuth: []
requestBody:
required: true
content:
application/json:
schema:
type: object
required:
- page_no
properties:
location:
type: object
properties:
latitude:
type: number
format: float
description: Latitude coordinate of the location
longitude:
type: number
format: float
description: Longitude coordinate of the location
radius:
type: integer
format: int32
description: Radius in meters
filters:
type: object
properties:
categories:
type: array
items:
type: string
description: Categories (e.g., restaurant, retail)
place_topics:
type: array
items:
type: string
description: Keywords mentioned in customer reviews
sorting:
type: object
properties:
order_by:
type: string
enum: [price_level, rating]
description: Field to sort by
sort_order:
type: string
enum: [asc, desc]
description: Sort order
page_no:
type: integer
format: int32
description: Page number
responses:
'200':
description: Successful response
'400':
description: Bad Request
/v1/poi/by-poi-id:
post:
tags:
- POI API
summary: Get POI by ID
description: Retrieve detailed information about a specific Point of Interest using its POI ID.
operationId: poi-by-id
security:
- ApiKeyAuth: []
requestBody:
required: true
content:
application/json:
schema:
type: object
properties:
poi_id:
type: string
description: Factori generated POI id
default: "123"
responses:
'200':
description: Successful response
'400':
description: Bad Request
/v1/poi/by-address:
post:
tags:
- POI API
summary: Search POI by Address
description: Search for Points of Interest using address components like street, city, state, zip, and country.
operationId: poi-by-address
security:
- ApiKeyAuth: []
requestBody:
required: true
content:
application/json:
schema:
type: object
required:
- page_no
properties:
location:
type: object
properties:
full_address:
type: string
description: Full address of the business entity
primary_address:
type: string
description: Street address
city:
type: string
description: City name
state:
type: string
description: State/region
zip:
type: integer
format: int32
description: ZIP code
country_code:
type: string
description: ISO2 country code
enum: [CN, IN, ID, BR, JP, KR, DE, MX, FR, IT, GB, TR, VN, ES, TH, PH, CA, PL, BD, AR, CO, PK, NG, AU, EG, NL, TW, MY, ZA, CH, BE, UA, PE, SA, CZ, GR, KE, AT, CL, PT, LK, HU, EC, RO, DZ, SE, MA, DK, NP, IQ, AE, NO, FI, VE, SK, IL, MM, DO, SG, NZ, RS, PY, HR, BG, GH, IE, BO, GT, YE, HK, TN, KH, UG, JO, KZ, CR, SY, SI, UZ, ET, TZ, LT, UY, SV, HN, LY, LB, OM, PA, PR, EE, SN, LV, KW, NI, BA, CI, AZ, QA, GE, CY, CM, AL, LU, ZW, AF, ZM, JM, MD, MK, BH, TT, LA, AO, KG, MU, CU, MZ, MN, BF, CD, BJ, AM, MT, TG, ME, RE, HT, SO, XK, TJ, RW, MG, ML, PS, MW, MV, NA, IS, MR, MO, MQ, BW, SL, BT, GP, GN, PG, BZ, FJ, BN, NE, GY, BB, SR, GA, TM, LR, GM, CW, BI, AW, PF, AD, GF, LS, VI, MC, SZ, IM, SS, GU, LC, TD, JE, CV, LI, CG, AG, GD, SM, SC, GG, EH, YT, ER, VC, AX, DJ, KM, KN, DM, SX, TC, GI, BQ, FO, WS, MF, GQ, MP, KP, GW, VG, SB, VU, GL, CF, TO, PW, CK, AI, ST, FM, BL, AS, KI, PM, MH, NF, MS, SJ, VA, SD, BS, NC, KY, WF]
filters:
type: object
properties:
categories:
type: array
items:
type: string
description: Business categories
place_topics:
type: array
items:
type: string
description: Keywords from reviews
sorting:
type: object
properties:
order_by:
type: string
enum: [price_level, rating]
sort_order:
type: string
enum: [asc, desc]
page_no:
type: integer
format: int32
description: Page number
responses:
'200':
description: Successful response
'400':
description: Bad Request
/v1/poi/by-attributes:
post:
tags:
- POI API
summary: Search POI by Attributes
description: Search for Points of Interest using detailed attributes like accessibility, amenities, atmosphere, dining options, and more.
operationId: poi-by-attributes
security:
- ApiKeyAuth: []
requestBody:
required: true
content:
application/json:
schema:
type: object
required:
- page_no
properties:
location:
type: object
properties:
latitude:
type: number
format: float
description: Latitude coordinate
longitude:
type: number
format: float
description: Longitude coordinate
radius:
type: integer
format: int32
description: Radius in meters
primary_address:
type: string
description: Street address
city:
type: string
description: City name
state:
type: string
description: State/region
zip:
type: integer
format: int32
description: ZIP code
country_code:
type: string
description: ISO2 country code
enum: [CN, IN, ID, BR, JP, KR, DE, MX, FR, IT, GB, TR, VN, ES, TH, PH, CA, PL, BD, AR, CO, PK, NG, AU, EG, NL, TW, MY, ZA, CH, BE, UA, PE, SA, CZ, GR, KE, AT, CL, PT, LK, HU, EC, RO, DZ, SE, MA, DK, NP, IQ, AE, NO, FI, VE, SK, IL, MM, DO, SG, NZ, RS, PY, HR, BG, GH, IE, BO, GT, YE, HK, TN, KH, UG, JO, KZ, CR, SY, SI, UZ, ET, TZ, LT, UY, SV, HN, LY, LB, OM, PA, PR, EE, SN, LV, KW, NI, BA, CI, AZ, QA, GE, CY, CM, AL, LU, ZW, AF, ZM, JM, MD, MK, BH, TT, LA, AO, KG, MU, CU, MZ, MN, BF, CD, BJ, AM, MT, TG, ME, RE, HT, SO, XK, TJ, RW, MG, ML, PS, MW, MV, NA, IS, MR, MO, MQ, BW, SL, BT, GP, GN, PG, BZ, FJ, BN, NE, GY, BB, SR, GA, TM, LR, GM, CW, BI, AW, PF, AD, GF, LS, VI, MC, SZ, IM, SS, GU, LC, TD, JE, CV, LI, CG, AG, GD, SM, SC, GG, EH, YT, ER, VC, AX, DJ, KM, KN, DM, SX, TC, GI, BQ, FO, WS, MF, GQ, MP, KP, GW, VG, SB, VU, GL, CF, TO, PW, CK, AI, ST, FM, BL, AS, KI, PM, MH, NF, MS, SJ, VA, SD, BS, NC, KY, WF]
filters:
type: object
properties:
accessibility:
type: array
items:
type: string
description: Options - has_wheelchair_accessible_parking, has_auracast_broadcast_audio, has_wheelchair_accessible_seating, has_wheelchair_accessible_entrance, has_passenger_loading_area, has_assisted_listening_devices, has_wheelchair_accessible_elevator, has_wheelchair_accessible_restroom, has_hearing_loop
activities:
type: array
items:
type: string
description: Options - has_out_and_back_trail, has_point_to_point_trail, has_bicycles_for_rent, has_hiking, accepts_new_volunteers, suitable_for_jogging, accepts_non_monetary_donations, suitable_for_biking, has_loop_trail, accepts_monetary_donations, suitable_for_walking, suitable_for_birdwatching
amenities:
type: array
items:
type: string
description: Options - has_bar_onsite, has_playground_swings, has_showers_public, welcomes_pets, is_smoke_free_property, has_atm, has_air_pump, has_restroom_unisex, has_sauna, has_swimming_pool, has_baggage_storage, has_cycling_lanes, has_concierge, has_natural_onsen, has_onsite_convenience_store, has_car_vacuum, has_open_air_bath, has_lie_down_bath, has_wi_fi, has_tennis_courts, has_barbecue_grill, has_day_use_private_bath, has_basketball_court, has_golf_simulator, has_restroom, has_skateboard_area, has_restaurant, has_golf_course, has_restroom_public, has_elevator, has_hot_tub, has_bedrock_bath, has_stadium_seating, has_rest_area, has_picnic_tables, has_business_center, has_playground_slides, has_onsite_maintenance, has_baseball_field, has_mechanic, has_running_water, has_private_outdoor_space, has_in_unit_washer_dryer, has_high_chairs, has_volleyball_court, has_child_care, welcomes_children, has_all_inclusive, has_tent_site, has_fitness_center, has_gensen_kakenagashi
atmosphere:
type: array
items:
type: string
description: Options - feels_cozy, is_recently_popular, feels_quiet, feels_hip, feels_historic, feels_casual, feels_romantic, feels_upscale
children:
type: array
items:
type: string
description: Options - has_childrens_menu, has_kid_friendly_activities, has_discounts_for_families, has_lactation_space, welcomes_children, has_high_chairs, has_changing_tables, has_area_play, has_kid_friendly_hikes, good_for_kids_birthday, has_discounts_for_kids
crowd:
type: array
items:
type: string
description: Options - popular_with_tourists, popular_with_locals, popular_with_students, suitable_for_groups, welcomes_lgbtq, is_transgender_safespace, welcomes_families
dining_options:
type: array
items:
type: string
description: Options - allows_outside_food, serves_brunch, has_counter_service, serves_breakfast, has_catering, serves_dinner, has_seating, serves_dessert, has_order_and_pay_ahead, serves_lunch
emergency_help:
type: array
items:
type: string
description: Options - accepts_donations_during_crisis, offers_free_legal_help_during_crisis, needs_volunteers_during_crisis, offers_free_products_services_during_crisis, is_verified_emergency_shelter_during_crisis, offers_transportation_during_crisis, offers_refuge_during_crisis, offers_employment_during_crisis
exams:
type: array
items:
type: string
description: Options - offers_neet_exam_prep, offers_ibps_rrb_exam_prep, offers_ugc_net_exam_prep, offers_jee_exam_prep, offers_sbi_clerk_exam_prep, offers_upsc_government_exam_prep, offers_icse_board_exam_prep, offers_ssc_cgl_exam_prep, offers_gate_exam_prep, offers_ssc_government_exam_prep, offers_ctet_exam_prep, offers_jnvst_exam_prep, offers_ibps_clerk_exam_prep, offers_cat_exam_prep, offers_cbse_board_exam_prep, offers_civil_services_exam_prep, offers_lic_aao_exam_prep
from_the_business:
type: array
items:
type: string
description: Options - is_owned_by_veterans, is_owned_by_disability, is_owned_by_asian, is_owned_by_latinx, is_owned_by_women, is_black_owned, is_owned_by_lgbtq, is_owned_by_indigenous, is_small_business
highlights:
type: array
items:
type: string
description: Options - has_live_performances, has_bar_games, has_trivia_night, has_cabaret, suitable_for_watching_sports, local_specialty, has_produce_notable, serves_tea_notable, serves_dessert_notable, has_all_you_can_drink, has_movies_3D, has_discounts_for_active_military, serves_wine_notable, has_seating_rooftop, has_karaoke_nights, serves_bar_food_notable, serves_coffee_notable, has_live_music, has_fast_service, serves_cocktails_notable, has_fireplace, serves_beer_notable
offerings:
type: array
items:
type: string
description: Options - has_dancing, serves_vegetarian_only, offers_vehicle_registration_certificate, has_childrens_menu, has_rv_sewage_hookup, sells_gas_ethanol_free, has_service_assembly, offers_aadhaar_demographic_info_updating, serves_happy_hour_drinks, has_rv_electric_hookup, sells_shoes_for_men, sells_goods_used, serves_coffee, serves_healthy, has_road_tax_payment_section, has_cash_advance, has_car_rental, serves_wine, serves_happy_hour_food, offers_compressed_natural_gas, has_rv_water_hookup, has_free_air, has_salad_bar, has_free_water_refills, sells_clothing_for_men, has_car_wash, offers_aadhaar_mobile_number_updating, offers_driver_license, affiliated_with_cbse_board, has_oil_change, serves_organic, sells_shoes_for_women, has_lifeguard, serves_halal_food, has_women_prayer_section, offers_pertamax_fuel, serves_small_plates, has_all_you_can_eat_always, has_service_guarantee, has_secure_bicycle_storage, serves_vegetarian, serves_food_at_bar, has_propane_exchange, serves_beer, has_braille_menu, has_service_repair, offers_aadhaar_adult_enrollment, sells_gas_diesel, sells_organic_products, has_full_service_gas, offers_pertamina_dex_fuel, sells_toys_for_children, serves_alcohol, offers_pollution_under_control_certification, has_check_cashing, offers_aadhaar_updates, offers_aadhaar_children_enrollment, allows_camping_vehicles_recreational, serves_food, serves_late_night_food, serves_cocktails, serves_vegan, sells_shoes_for_children, offers_prasad, has_onsite_passport_photos, buys_goods_used, quick_bite, has_arcade_games, serves_comfort_food, serves_liquor, offers_postal_savings_account, affiliated_with_cisce_board, sells_clothing_for_women, has_private_dining_room, offers_liquefied_petroleum_gas, sells_food_prepared, allows_grilling
parking:
type: array
items:
type: string
description: Options - has_parking_lot_paid, has_parking_garage_paid, has_parking_street_free, has_parking_street_paid, has_onsite_parking, has_parking_garage_free, has_parking_lot_free, has_parking_valet
payments:
type: array
items:
type: string
description: Options - pay_epayment_aupay, pay_mobile_nfc, accepts_meal_coupons, pay_check, accepts_sodexo_meal_voucher, accepts_vr_meal_voucher, requires_cash_only, pay_debit_card, pay_epayment_rakuten_pay, pay_credit_card, pay_snap, has_camping_fee, pay_epayment_v_money, accepts_cheque_dejeuner_meal_voucher, pay_epayment_transit_ic, accepts_alelo_meal_voucher, pay_epayment_paypay, accepts_cheque_apetiz_meal_voucher, pay_mobile_tez, is_fqhc_or_lookalike, accepts_ticket_restaurant_meal_voucher, pay_epayment_dbarai
pets:
type: array
items:
type: string
description: Options - allows_dogs_inside, allows_dogs_outside, has_dog_park, welcomes_dogs
planning:
type: array
items:
type: string
description: Options - recommends_reservations_dinner, is_appointment_required_covid_19_testing, recommends_reservations_lunch, requires_reservations, recommends_reservations_brunch, accepts_new_patients, requires_appointments, accepts_new_nhs_patients, requires_membership, usually_a_wait, accepts_reservations, recommends_appointment, quick_visit, recommend_getting_tickets_ahead, requires_eligibility_verification, has_covid_19_testing_patient_restrictions
popular_for:
type: array
items:
type: string
description: Options - serves_lunch_popular, serves_breakfast_popular, suitable_for_working_on_laptop, serves_dinner_popular, suitable_for_solo_dining
recycling:
type: array
items:
type: string
description: Options - has_recycling_electronics, has_recycling_household_hazardous_waste, has_recycling_plastic_bags, has_recycling_clothing, has_recycling_light_bulbs, has_recycling_plastic_bottles, has_recycling_glass_bottles, has_recycling_batteries, has_recycling_metal_cans, has_recycling_ink_cartridges, has_recycling_plastic_foam
service_options:
type: array
items:
type: string
description: Options - has_delivery, offers_home_visits, has_no_contact_delivery, has_grocery_pickup, has_in_store_shopping, has_meal_service, has_in_store_pickup, has_onsite_services, has_curbside_pickup, offers_online_estimates, serves_dine_in, has_video_visits, has_seating_outdoors, has_delivery_same_day, has_takeout, has_drive_through, offers_online_appointments, offers_online_classes, has_outdoor_services
sorting:
type: object
properties:
order_by:
type: string
enum: [price_level, rating]
sort_order:
type: string
enum: [asc, desc]
page_no:
type: integer
format: int32
description: Page number
responses:
'200':
description: Successful response
'400':
description: Bad RequestDownload Options
Copy the YAML above and convert it to JSON using any YAML-to-JSON converter, or use this structure in your API tools.
Using the Swagger Document
Import this OpenAPI specification into:
- Swagger UI: Visualize and interact with the API
- Postman: Auto-generate API collections
- OpenAPI Generator: Generate client SDKs in multiple languages
- API Gateway: Configure routing and validation
